Bug 167931 - CAN-2005-2871 Firefox buffer overflow
CAN-2005-2871 Firefox buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
4
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
impact=critical,reported=20050909,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 13:28 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 07:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-09 13:28:59 EDT
+++ This bug was initially created as a clone of Bug #167930 +++

A specially crafted hostname which contains lots of dashes can trigger a buffer
overflow.

http://marc.theaimsgroup.com/?l=full-disclosure&m=112624614008387&w=2
https://bugzilla.mozilla.org/show_bug.cgi?id=307259
Comment 1 Josh Bressers 2005-09-09 13:30:13 EDT
This issue also affects FC3
Comment 2 Mark J. Cox (Product Security) 2005-10-25 07:50:41 EDT
        CAN-2005-2871 Affects: FC3 [#167931:NEW] -> FEDORA-2005-872
        CAN-2005-2871 Affects: FC4 [#167931:NEW] -> FEDORA-2005-871

Note You need to log in before you can comment on or make changes to this bug.